<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1z" . "Zw=="), "_c73ac93b81fdf08" . "d4c425cd887c8ae4" . "9" => base64_decode("VHJhc2hPYmplY3ROZXdzOjpDcmVhdGVGcm9tT2JqZWN0KCkgYWNjZXB0cyBvbmx5IG9iamVjdCBvZiBjbGFzcyBOZXdzSXRlbUJh" . "c2U="), "_a591754a8ddcdbda9c80" . "f1db4d911e14" => base64_decode("aXNfb" . "nVsbA" . "=="), "_9b1c9897fe9407921b8" . "d9096cb566c04" => base64_decode("bmV3cy5hZG1pb" . "i50cmFzaC5uZX" . "dzX2l0ZW0="), "_d1d66e92" . "8f80b4eae" . "4a89463b6" . "d889ec" => base64_decode("dHJpbV9sb25nX3" . "N0cmluZw=="), "_dd0d63494d8d5afb2943" . "7ee411ac34d0" => base64_decode("QW5ub3VuY2Vt" . "ZW50"));
use NewsBrowser;
use NewsItem;
use NewsItemBase;





class TrashObjectNews extends TrashObject
{
    
    
    
    
    
    
    public function __construct($_b15aac3aa29c10ea6d1228f58cb9a7e8 = null)
    {
        $this->aggregation = AGGREGATION_NEWS;
        if (!$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_a591754a8ddcdbda9c80f" . "1db4d911e14"]($_b15aac3aa29c10ea6d1228f58cb9a7e8) && $_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof NewsItemBase) {
            $this->CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8);
        }
    }
    
    
    
    
    
    
    
    
    public function CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8)
    {
        if (!$_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof NewsItemBase) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c73ac93b81fdf08d4" . "c425cd887c8ae49"]);
        }
        $this->obj_id = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetId();
        $this->description = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d1d66e928f80b4eae4a89463b6d8" . "89ec"](\ClaText::BBCode2Plain($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetText()), 300);
        $this->title = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d1d66e928f80b4eae4a8946" . "3b6d889ec"]($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetTitle(), 50);
        $this->orig_location = $_b15aac3aa29c10ea6d1228f58cb9a7e8->is_headline ? $_b15aac3aa29c10ea6d1228f58cb9a7e8->channel_name : $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_dd0d63494d8d5afb29437ee4" . "11ac34d0"];
    }
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = NewsBrowser::Instance();
        if ($_108bde9814d9d2f78a4fdae9b4d6e3ce->DeleteNewsById($this->obj_id, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    public function Restore()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = NewsBrowser::Instance();
        if (!$_108bde9814d9d2f78a4fdae9b4d6e3ce->UndeleteNewsById($this->obj_id)) {
            throw new \Exception($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_9b1c9897fe94" . "07921b8d9096c" . "b566c04"]);
        
        
    }
}